"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function defaultValidationContext(value, label) {
    return {
        value,
        label,
    };
}
exports.defaultValidationContext = defaultValidationContext;
exports.next = () => ({ valid: true });
exports.error = (message) => ({
    valid: false,
    message,
});
exports.stop = () => ({ stop: true, valid: true });
function buildError(code, params) {
    return {
        code,
        params,
    };
}
exports.buildError = buildError;
